Subject: bug#58302: 29.0.50; browse-url-emacs is extremely slow (and I think always has been?)

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 06 Oct 2022 14:53:11 +0200

Phil Sainty <[email-masked]> writes:

> If the buffer did not already exist, *Messages* says:
> Contacting host: www.example.com:80 [2 times]
> File exists, but cannot be read
> (2.617302471 0 0.0)

I can reproduce this, too.  I think it's likely that the delay is coming
from the error message (which is a misleading error message).  There's
probably a "sleep-for 2" after displaying the error message?

There's a bug report in debbugs somewhere about fixing the error
message, but I can't find it now.